import requests

BASE = 'https://swapi.dev/api'


def print_error(url, response):
    print(f"error: {response.status_code} on {url}")


def print_planet(planet_id):
    """
    Print information about a planet, including:
    - name
    - population
    - climate
    - terrain

    :param planet_id: a planet ID (a string)
    >>> print_planet('2')
    Planet: Alderaan, population: 2,000,000,000, climate: temperate, terrain: grasslands, mountains
    """
    # write your code here
    pass


def print_starship(starship_id):
    """
    Print information about a starship including:

    - name
    - model
    - hyperdrive rating
    - passengers (number)
    - crew (number)
    - length

    :param starship_id: a starship ID (a string)
    >>> print_starship('2')
    Starship: CR90 corvette, model: CR90 corvette, hyperdrive rating: 2.0, passengers: 600, crew: 30-165, length: 150
    """
    # write your code here
    pass


def print_planet_residents(planet_id):
    """
    Print all the residents of a planet.

    :param planet_id: a planet ID (a string)
    >>> print_planet_residents('2')
    Residents of Alderaan:
    <BLANKLINE>
    Leia Organa
    Bail Prestor Organa
    Raymus Antilles
    """
    # write your code here
    pass


def print_people_in_species(species_id):
    """
    Print all the people who belong to a species

    :param species_id: a species ID (a string)
    >>> print_people_in_species("2")
    People in Droid species:
    <BLANKLINE>
    C-3PO
    R2-D2
    R5-D4
    IG-88
    """
    # write your code here
    pass


def print_planets():
    """
    Print all the planets and their IDs, in the form:

    Tatooine: 1
    Alderaan: 2
    Yavin IV: 3
    """
    # write your code here
    pass


def main():
    import argparse

    # setup the argument parser
    parser = argparse.ArgumentParser(description="get information on Star Wars films")
    parser.add_argument('--planets', action='store_true', help='list all planets')
    parser.add_argument('--planet', type=str, default="", help='get information about a planet')
    parser.add_argument('--starship', type=str, default="", help='get information about a starship')
    parser.add_argument('--people-on-planet', type=str, default="", metavar='PLANET',
                        help='list people living on a planet')
    parser.add_argument('--people-in-species', type=str, default="", metavar='SPECIES',
                        help='list people of a given species')

    # parse the command line arguments
    args = parser.parse_args()

    # handle --planets
    if args.planets:
        print_planets()

    # handle --planet
    if args.planet:
        print_planet(args.planet)

    # handle --starship
    if args.starship:
        print_starship(args.starship)

    # handle --people-on-planet
    if args.people_on_planet:
        print_planet_residents(args.people_on_planet)

    # handle --people-in-species
    if args.people_in_species:
        print_people_in_species(args.people_in_species)


if __name__ == '__main__':
    main()
